package com.yeejoin.amos.jpush.common.entity;


import java.io.Serializable;

import org.apache.commons.lang3.builder.ToStringBuilder;

/**
 * 
 * <pre>
 *  查询条件封装类
 * </pre>
 *
 * @author as-hanshipeng
 * @version $Id: DaoCriteria.java, v 0.1 2016-12-9 下午12:22:03 as-hanshipeng Exp $
 */
public class DaoCriteria implements Serializable
{
	private static final long serialVersionUID = 812759366580443779L;
	//属性名称
	private String propertyName;  
	//操作符
    private String operator;     
    //属性值
    private Object value;       
    
    public String getOperator()
    {
        return operator;
    }

    public void setOperator(String operator)
    {
        this.operator = operator;
    }

    public String getPropertyName()
    {
        return propertyName;
    }

    public void setPropertyName(String propertyName)
    {
        this.propertyName = propertyName;
    }

    public Object getValue()
    {
        return value;
    }

    public void setValue(Object value)
    {
        this.value = value;
    }

    public DaoCriteria()
    {
    }

    public DaoCriteria(String property, String operator, Object value)
    {
        propertyName = property;
        this.operator = operator;
        this.value = value;
    }

    public String toString()
    {
        return (new ToStringBuilder(this)).append("Property", propertyName).append(operator).append("Value", value).toString();
    }


}
